org.springframework.batch.item.util

## Class ExecutionContextUserSupport

- java.lang.Object
- - org.springframework.batch.item.util.ExecutionContextUserSupport

-     public class ExecutionContextUserSupport
      extends java.lang.Object

  Facilitates assigning names to objects persisting data in `ExecutionContext` and generating keys for `ExecutionContext` based on the name.
  Author:
    Robert Kasanicky

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExecutionContextUserSupport()`
    `ExecutionContextUserSupport(java.lang.String name)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getKey(java.lang.String suffix)` Prefix the argument with `getName()` to create a unique key that can be safely used to identify data stored in `ExecutionContext`.
    `protected java.lang.String` | `getName()`
    `void` | `setName(java.lang.String name)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExecutionContextUserSupport

          public ExecutionContextUserSupport()

    - #### ExecutionContextUserSupport

          public ExecutionContextUserSupport(java.lang.String name)

  - ### Method Detail

    - #### getName

          protected java.lang.String getName()

      Returns:
        name used to uniquely identify this instance's entries in shared context.

    - #### setName

          public void setName(java.lang.String name)

      Parameters:
        `name` - unique name used to create execution context keys.

    - #### getKey

          public java.lang.String getKey(java.lang.String suffix)

      Prefix the argument with `getName()` to create a unique key that can be safely used to identify data stored in `ExecutionContext`.
      Parameters:
        `suffix` - `String` to be used to generate the key.
      Returns:
        the key that was generated based on the name and the suffix.